# EXTDiscardFramebuffer (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class EXTDiscardFramebuffer

    java.lang.Object
      org.lwjgl.opengles.EXTDiscardFramebuffer

    public final class EXTDiscardFramebuffer

extends java.lang.Object

Field Summary
`static int` `GL_COLOR_EXT` Accepted in the <attachments> parameter of DiscardFramebufferEXT when the default framebuffer is bound to <target>:
`static int` `GL_DEPTH_EXT` Accepted in the <attachments> parameter of DiscardFramebufferEXT when the default framebuffer is bound to <target>:
`static int` `GL_STENCIL_EXT` Accepted in the <attachments> parameter of DiscardFramebufferEXT when the default framebuffer is bound to <target>:

Method Summary
`static void` `glDiscardFramebufferEXT(int target, java.nio.IntBuffer attachments)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_COLOR_EXT

    public static final int GL_COLOR_EXT

  Accepted in the <attachments> parameter of DiscardFramebufferEXT when the default framebuffer is bound to <target>:

  See Also:
    Constant Field Values

### GL_DEPTH_EXT

    public static final int GL_DEPTH_EXT

  Accepted in the <attachments> parameter of DiscardFramebufferEXT when the default framebuffer is bound to <target>:

  See Also:
    Constant Field Values

### GL_STENCIL_EXT

    public static final int GL_STENCIL_EXT

  Accepted in the <attachments> parameter of DiscardFramebufferEXT when the default framebuffer is bound to <target>:

  See Also:
    Constant Field Values

Method Detail

### glDiscardFramebufferEXT

    public static void glDiscardFramebufferEXT(int target,
                                               java.nio.IntBuffer attachments)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.